<?php
// 模型
class collectionfiledruleModel extends Model
{

    public function __construct()
    {
        parent::__construct("collectionfiledrule");
    }
    
    
    
     /**
     
     * 添加或修改字段的采集规则
     
     * @date: 2019年6月6日 下午4:15:25
     
     * @author: 龚华尧
     
     * @param: 
     
     * @return:
     
     */
    
    public function updateBycollectionid($collection_id,$table_id,$data){
        //删除对应表对应的字段规则
        $this->where("collection_id={$collection_id}")->delete();
        //插入新规则
        foreach ($data as $k=>$v){
            if($v!=""){
                $_dataItem["table_id"]=$table_id;
                $_dataItem["collection_id"]=$collection_id;
                $_dataItem["filedname"]=$k;
                $_dataItem["filedrule"]=$v;
                $this->insert($_dataItem);
            }
            
        }
        return true;
        
    }
    
    /**
    
    * 查询table_id对应的字段匹配规则列表
    
    * @date: 2019年6月6日 下午4:25:14
    
    * @author: 龚华尧
    
    * @param: variable
    
    * @return:
    
    */
    
    public function getfiledruleListBycollectionid($collection_id,$table_id="") {
        
        $whereStr="";
        if($table_id!=""){
            $whereStr = "table_id={$table_id} and collection_id={$collection_id} ";
        }else{
            $whereStr = " collection_id={$collection_id} ";
         }
         $list = $this->where($whereStr)->all();
        return $list;
        
    }
    
    /**
    
    * 查询一个字段的采集规则
    
    * @date: 2019年6月6日 下午4:32:43
    
    * @author: 龚华尧
    
    * @param: variable
    
    * @return:
    
    */
    public function getonefiledrule($collection_id,$filedname) {
        $data = $this->where("collection_id={$collection_id} and filedname='{$filedname}' ")->one();
        if($data){
            return $data['filedrule'];
        }else{
            return "";
        }
        
    }


}